phpMyAdmin 提示"配置文件现在需要一个短语密码"警告的*真正的*解决办法

这也算是一个常见问题了.可惜的是,我用百度或者 Google 搜到的中文资料,几乎全都是复制粘贴的内容,而且给出的解决方法居然是修改  config.default.php 文件卧槽,这么大个 DO NOT EDIT 各位都是没看到吗?所以本文就来说说怎么安全地,优雅地解决此问题.

如果你是通过 Fedora 包管理器安装的 phpMyAdmin, 那么它会默认使用  /etc/phpMyAdmin 作为配置文件目录(其它的 Linux 发行版,如 ArchLinux 邪教所使用的的目录可能不是这个).在 phpMyAdmin 安装目录下找到  config.sample.inc.php, 复制到  /etc/phpMyAdmin 中,并重命名为  config.inc.php. 这个文件中有大量配置项需要你修改,不过我们只关注

这一行.正如注释所言,你需要在引号内输入大量随机字符,脸滚键盘,越乱越好,越长越好.然后保存文件.此时,由于权限原因,这份配置文件很有可能无法被 phpMyAdmin 正常读到内容.解决办法也很简单.假如你的 PHP-FPM 用户为  www-data ,那么执行

即可.

对了,  config.sample.inc.php 这个文件可以在 phpMyAdmin 安装目录下找到.如果没有,可以试试  /usr/share/doc/phpMyAdmin/examples/config.sample.inc.php .

以上.

发表评论

电子邮件地址不会被公开。 必填项已用*标注